### Function

# AppStream utils_data_id_match

since: 0.14.0

#### Declaration [src]

    gboolean
    as_utils_data_id_match (
      const gchar* data_id1,
      const gchar* data_id2,
      AsDataIdMatchFlags match_flags
    )

#### Description [src]

Checks two data IDs for equality allowing globs to match, whilst also allowing clients to whitelist sections that have to match.

Available since: 0.14.0

#### Parameters

`data_id1`

  Type: `const gchar*`

  A data ID.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`data_id2`

  Type: `const gchar*`

  Another data ID.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`match_flags`

  Type: `AsDataIdMatchFlags`

  A `AsDataIdMatchFlags` bitfield, e.g. `AS_DATA_ID_MATCH_FLAG_ID`.

#### Return value

Type: `gboolean`

`TRUE` if the IDs should be considered equal.